Loading...
Searching...
No Matches
XrdSsiFileSess.cc File Reference
`#include <fcntl.h>`
`#include <stddef.h>`
`#include <cstdio>`
`#include <cstring>`
`#include <arpa/inet.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <sys/uio.h>`
`#include "XrdNet/XrdNetAddrInfo.hh"`
`#include "XrdOuc/XrdOucBuffer.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucERoute.hh"`
`#include "XrdOuc/XrdOucPList.hh"`
`#include "XrdSec/XrdSecEntity.hh"`
`#include "XrdSfs/XrdSfsAio.hh"`
`#include "XrdSsi/XrdSsiEntity.hh"`
`#include "XrdSsi/XrdSsiFileSess.hh"`
`#include "XrdSsi/XrdSsiProvider.hh"`
`#include "XrdSsi/XrdSsiRRInfo.hh"`
`#include "XrdSsi/XrdSsiService.hh"`
`#include "XrdSsi/XrdSsiSfs.hh"`
`#include "XrdSsi/XrdSsiStats.hh"`
`#include "XrdSsi/XrdSsiStream.hh"`
`#include "XrdSsi/XrdSsiTrace.hh"`
`#include "XrdSsi/XrdSsiUtils.hh"`
`#include "XrdSys/XrdSysE2T.hh"`
`#include "XrdSys/XrdSysError.hh"`
Include dependency graph for XrdSsiFileSess.cc:

Go to the source code of this file.

## Namespaces

namespace | XrdSsi

## Macros

#define | DUMPIT(x, y)

## Variables

XrdOucBuffPool * | XrdSsi::BuffPool = 0
int | XrdSsi::maxRSZ = 2097152
int | XrdSsi::minRSZ = 1024
XrdSsiProvider * | XrdSsi::Provider = 0
int | XrdSsi::respWT = 0x7fffffff

## Macro Definition Documentation

## DUMPIT

#define DUMPIT | ( |  | x,
|  |  | y )

Value:
XrdSsiUtils::b2x(x,y,hexBuff,sizeof(hexBuff),dotBuff)<<dotBuff
XrdSsiUtils::b2x
static char * b2x(const char *ibuff, int ilen, char *obuff, int olen, char xbuff[4])
Definition XrdSsiUtils.cc:116

Definition at line 86 of file XrdSsiFileSess.cc.